from rocolib.api.components import Component
from rocolib.utils.utils import copyDecorations

class ESPSeg(Component):
  def assemble(self):
    copyDecorations(self, ("rightservoface", ("right", "face2", 1, 2)),
                          ("rightservosheath", ("sheath", "face3", -1, 0)))
    copyDecorations(self, ("leftservoface", ("left", "face2", 2, 1)),
                          ("leftservosheath", ("sheath", "face1", 0, -1)))
    copyDecorations(self, ("brainface", ("brain", "face1", 0, 1)),
                          ("brainsheath", ("sheath", "face2", 1, 2)))

if __name__ == "__main__":
  ESPSeg.test()

